<?php
#-------------------------------------------------------------------------
# Album - Photo Albums
# Version 1.11
# This module allows you to add photo albums to your website
# maintained by Fernando Morgado AKA Jo Morg
# since 2013
#-------------------------------------------------------------------------
#
# Previously maintained by:
# dam & Elijah Lofgren <elijahlofgren@elijahlofgren.com>
#
#-------------------------------------------------------------------------
#
# Album is a CMS Made Simple module that enables the web developer to 
# add photo albums to a website
#
#-------------------------------------------------------------------------
# BEGIN_LICENSE
#-------------------------------------------------------------------------
# This file is part of Album
# Album program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Album program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
# END_LICENSE
#-------------------------------------------------------------------------
if( !defined('CMS_VERSION') ) exit;

$category_id = (isset($params['category_id']) ? $params['category_id'] : '');
if ($category_id == '')
	$this->Redirect($id, 'defaultadmin', $returnid);

$direction = (isset($params['direction']) ? $params['direction'] : '');
if ($direction != 'up' && $direction!='down')
	$this->Redirect($id, 'defaultadmin', $returnid);

if(! $this->CheckPermission( 'Use Album' ) ) exit;

// Get list of categories
$query = 'SELECT * FROM '.cms_db_prefix().'module_album_categories WHERE category_id = ?';
$dbresult = $db->Execute($query, array($category_id));
while (($row = $dbresult->FetchRow()))
{
	$category_number = $row['category_number'];
}

if ($direction == 'up')
	$new_category_number = $category_number-1;
else
	$new_category_number = $category_number+1;

// Reorder the categories
$query = 'UPDATE '.cms_db_prefix().'module_album_categories SET category_number=? WHERE category_number=?';
$db->Execute($query, array($category_number,$new_category_number));
$query = 'UPDATE '.cms_db_prefix().'module_album_categories SET category_number=? WHERE category_id=?';
$db->Execute($query, array($new_category_number,$category_id));

$params = array('tab_message' => 'categorymoved', 'active_tab' => 'categories');
$this->Redirect($id, 'defaultadmin', '', $params);

?>